curl --request POST \
--url https://ai.wisepilot.app/api/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_type": "hook",
"name": "<string>",
"description": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "hook",
"name": "<string>",
"description": "<string>",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productLineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedAssetCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create a new hook, angle, offer, or story. Uses cosine dedup (0.85 threshold). minRole: editor
curl --request POST \
--url https://ai.wisepilot.app/api/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_type": "hook",
"name": "<string>",
"description": "<string>",
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "hook",
"name": "<string>",
"description": "<string>",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productLineId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linkedAssetCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)